org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.NodeInstance.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstance.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessInstance.NodeInstanceOrBuilder
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstance

      public static final class JBPMMessages.ProcessInstance.NodeInstance.Builder
      extends com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>
      implements JBPMMessages.ProcessInstance.NodeInstanceOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstance`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
    `JBPMMessages.ProcessInstance.NodeInstance` | `build()`
    `JBPMMessages.ProcessInstance.NodeInstance` | `buildPartial()`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `clear()`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `clearContent()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `clearId()` `optional int64 id = 1;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `clearLevel()` `optional int32 level = 5;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `clearNodeId()` `optional int64 node_id = 2;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `clearSlaCompliance()` `optional int32 sla_compliance = 8;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `clearSlaDueDate()` `optional int64 sla_due_date = 7;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `clearSlaTimerId()` `optional int64 sla_timer_id = 6;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `clone()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent` | `getContent()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `getContentBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder` | `getContentOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
    `JBPMMessages.ProcessInstance.NodeInstance` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getId()` `optional int64 id = 1;`
    `int` | `getLevel()` `optional int32 level = 5;`
    `long` | `getNodeId()` `optional int64 node_id = 2;`
    `int` | `getSlaCompliance()` `optional int32 sla_compliance = 8;`
    `long` | `getSlaDueDate()` `optional int64 sla_due_date = 7;`
    `long` | `getSlaTimerId()` `optional int64 sla_timer_id = 6;`
    `boolean` | `hasContent()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
    `boolean` | `hasId()` `optional int64 id = 1;`
    `boolean` | `hasLevel()` `optional int32 level = 5;`
    `boolean` | `hasNodeId()` `optional int64 node_id = 2;`
    `boolean` | `hasSlaCompliance()` `optional int32 sla_compliance = 8;`
    `boolean` | `hasSlaDueDate()` `optional int64 sla_due_date = 7;`
    `boolean` | `hasSlaTimerId()` `optional int64 sla_timer_id = 6;`
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `mergeContent(JBPMMessages.ProcessInstance.NodeInstanceContent value)` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `mergeFrom(JBPMMessages.ProcessInstance.NodeInstance other)`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `setContent(JBPMMessages.ProcessInstance.NodeInstanceContent.Builder builderForValue)` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `setContent(JBPMMessages.ProcessInstance.NodeInstanceContent value)` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `setId(long value)` `optional int64 id = 1;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `setLevel(int value)` `optional int32 level = 5;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `setNodeId(long value)` `optional int64 node_id = 2;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `setSlaCompliance(int value)` `optional int32 sla_compliance = 8;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `setSlaDueDate(long value)` `optional int64 sla_due_date = 7;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `setSlaTimerId(long value)` `optional int64 sla_timer_id = 6;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>`

    - #### clear

          public JBPMMessages.ProcessInstance.NodeInstance.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.NodeInstance getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.ProcessInstance.NodeInstance build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.ProcessInstance.NodeInstance buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### clone

          public JBPMMessages.ProcessInstance.NodeInstance.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>`

    - #### setField

          public JBPMMessages.ProcessInstance.NodeInstance.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                            Object value)

      Specified by:
        `setField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>`

    - #### clearField

          public JBPMMessages.ProcessInstance.NodeInstance.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

      Specified by:
        `clearField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>`

    - #### clearOneof

          public JBPMMessages.ProcessInstance.NodeInstance.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

      Specified by:
        `clearOneof` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>`

    - #### setRepeatedField

          public JBPMMessages.ProcessInstance.NodeInstance.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                    int index,
                                                                                    Object value)

      Specified by:
        `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>`

    - #### addRepeatedField

          public JBPMMessages.ProcessInstance.NodeInstance.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                    Object value)

      Specified by:
        `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstance.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstance.Builder mergeFrom(JBPMMessages.ProcessInstance.NodeInstance other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstance.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>`
      Throws:
        `IOException`

    - #### hasId

          public boolean hasId()

      `optional int64 id = 1;`
      Specified by:
        `hasId` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### getId

          public long getId()

      `optional int64 id = 1;`
      Specified by:
        `getId` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### setId

          public JBPMMessages.ProcessInstance.NodeInstance.Builder setId(long value)

      `optional int64 id = 1;`

    - #### clearId

          public JBPMMessages.ProcessInstance.NodeInstance.Builder clearId()

      `optional int64 id = 1;`

    - #### hasNodeId

          public boolean hasNodeId()

      `optional int64 node_id = 2;`
      Specified by:
        `hasNodeId` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### getNodeId

          public long getNodeId()

      `optional int64 node_id = 2;`
      Specified by:
        `getNodeId` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### setNodeId

          public JBPMMessages.ProcessInstance.NodeInstance.Builder setNodeId(long value)

      `optional int64 node_id = 2;`

    - #### clearNodeId

          public JBPMMessages.ProcessInstance.NodeInstance.Builder clearNodeId()

      `optional int64 node_id = 2;`

    - #### hasContent

          public boolean hasContent()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
      Specified by:
        `hasContent` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### getContent

          public JBPMMessages.ProcessInstance.NodeInstanceContent getContent()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
      Specified by:
        `getContent` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### setContent

          public JBPMMessages.ProcessInstance.NodeInstance.Builder setContent(JBPMMessages.ProcessInstance.NodeInstanceContent value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`

    - #### setContent

          public JBPMMessages.ProcessInstance.NodeInstance.Builder setContent(JBPMMessages.ProcessInstance.NodeInstanceContent.Builder builderForValue)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`

    - #### mergeContent

          public JBPMMessages.ProcessInstance.NodeInstance.Builder mergeContent(JBPMMessages.ProcessInstance.NodeInstanceContent value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`

    - #### clearContent

          public JBPMMessages.ProcessInstance.NodeInstance.Builder clearContent()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`

    - #### getContentBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder getContentBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`

    - #### getContentOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder getContentOrBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
      Specified by:
        `getContentOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### hasLevel

          public boolean hasLevel()

      `optional int32 level = 5;`
      Specified by:
        `hasLevel` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### getLevel

          public int getLevel()

      `optional int32 level = 5;`
      Specified by:
        `getLevel` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### setLevel

          public JBPMMessages.ProcessInstance.NodeInstance.Builder setLevel(int value)

      `optional int32 level = 5;`

    - #### clearLevel

          public JBPMMessages.ProcessInstance.NodeInstance.Builder clearLevel()

      `optional int32 level = 5;`

    - #### hasSlaTimerId

          public boolean hasSlaTimerId()

      `optional int64 sla_timer_id = 6;`
      Specified by:
        `hasSlaTimerId` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### getSlaTimerId

          public long getSlaTimerId()

      `optional int64 sla_timer_id = 6;`
      Specified by:
        `getSlaTimerId` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### setSlaTimerId

          public JBPMMessages.ProcessInstance.NodeInstance.Builder setSlaTimerId(long value)

      `optional int64 sla_timer_id = 6;`

    - #### clearSlaTimerId

          public JBPMMessages.ProcessInstance.NodeInstance.Builder clearSlaTimerId()

      `optional int64 sla_timer_id = 6;`

    - #### hasSlaDueDate

          public boolean hasSlaDueDate()

      `optional int64 sla_due_date = 7;`
      Specified by:
        `hasSlaDueDate` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### getSlaDueDate

          public long getSlaDueDate()

      `optional int64 sla_due_date = 7;`
      Specified by:
        `getSlaDueDate` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### setSlaDueDate

          public JBPMMessages.ProcessInstance.NodeInstance.Builder setSlaDueDate(long value)

      `optional int64 sla_due_date = 7;`

    - #### clearSlaDueDate

          public JBPMMessages.ProcessInstance.NodeInstance.Builder clearSlaDueDate()

      `optional int64 sla_due_date = 7;`

    - #### hasSlaCompliance

          public boolean hasSlaCompliance()

      `optional int32 sla_compliance = 8;`
      Specified by:
        `hasSlaCompliance` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### getSlaCompliance

          public int getSlaCompliance()

      `optional int32 sla_compliance = 8;`
      Specified by:
        `getSlaCompliance` in interface `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder`

    - #### setSlaCompliance

          public JBPMMessages.ProcessInstance.NodeInstance.Builder setSlaCompliance(int value)

      `optional int32 sla_compliance = 8;`

    - #### clearSlaCompliance

          public JBPMMessages.ProcessInstance.NodeInstance.Builder clearSlaCompliance()

      `optional int32 sla_compliance = 8;`

    - #### setUnknownFields

          public final JBPMMessages.ProcessInstance.NodeInstance.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>`

    - #### mergeUnknownFields

          public final JBPMMessages.ProcessInstance.NodeInstance.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessInstance.NodeInstance.Builder>`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.